[Numpy-discussion] f2py : NotImplementedError: Only MS compiler supported with gfortran on win64

Jim Vickroy Jim.Vickroy@noaa....
Mon Sep 12 12:54:04 CDT 2011


On 9/12/2011 11:17 AM, Jonathan T. Niehof wrote:
>> Is anyone successfully using f2py and gfortran on a Windows machine
>> without relying on cygwin?
> SpacePy uses mingw32 for both gcc and gfortran; I didn't have any trouble
> with f2py. I haven't tried a build with 64-bit Python or with EPD; I just
> build the installer against python.org's python and a bog-standard mingw32
> and numpy install. Feel free to take a look at our setup.py
> (http://spacepy.lanl.gov/). It runs f2py with:
> --fcompiler=gnu95 --compiler=mingw32
>
> (Note that gfortran normally refers to the new f90/95 chain, called gnu95
> by f2py, and g77 is the old, f2c-derived chain, called gnu by f2py.)
>
Thanks for this information; that site certainly looks interesting.  I 
will look at it more carefully as I'm developing software at the NOAA 
Space Weather Prediction Center <http://www.swpc.noaa.gov/>.

Christoph Gohlke determined that if I upgraded from numpy 1.3 to 1.4, 
f2py would successfully find and use the Intel Fortran compiler which 
was my preferred choice all along.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/numpy-discussion/attachments/20110912/335e3ba1/attachment.html 


More information about the NumPy-Discussion mailing list